---@meta

---@class ABP_Winch_C : ARGWinch
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Collider UBoxComponent
---@field Cylinder UStaticMeshComponent
---@field WinchHookDummy UStaticMeshComponent
---@field Cable UCableComponent
---@field WinchBase UStaticMeshComponent
---@field DefaultSceneRoot USceneComponent
---@field IsFrontWinch boolean
---@field FrontWinchSFX UAudioComponent
---@field BackWinchSFX UAudioComponent
---@field ['As BP Interactable Winch Hook'] ABP_Interactable_WinchHook_C
---@field WinchRopeSFX UAudioComponent
local ABP_Winch_C = {}

---@return boolean
function ABP_Winch_C:AllowWinchAttach() end
---@param outCustomAttachLocation FVector
---@return boolean
function ABP_Winch_C:GetCustomAttachLocation(outCustomAttachLocation) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_Winch_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_Winch_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Winch_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_Winch_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Winch_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_Winch_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_Winch_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_Winch_C:BlockInteraction(Player, BlockInteraction) end
---@param IsPickupable boolean
function ABP_Winch_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_Winch_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_Winch_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Winch_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_Winch_C:AddImpulse(ImpulseStrength, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_Winch_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_Winch_C:Repair(RepairTarget, RepairTool, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_Winch_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_Winch_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Winch_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_Winch_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Success boolean
function ABP_Winch_C:Explode(Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_Winch_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_Winch_C:SetNewAttachTransform(NewTransform, Success) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_Winch_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_Winch_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_Winch_C:GetAttachPointState(Success, AttachPointState) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_Winch_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_Winch_C:GetObjectAttachType(Success, AttachType) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Winch_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_Winch_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_Winch_C:ForceDetach(destroy, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_Winch_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Winch_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Success boolean
function ABP_Winch_C:SetAttachedPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Winch_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_Winch_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_Winch_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_Winch_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_Winch_C:GetCustomHoldTransform(Success, Transform) end
---@param InFloat float
function ABP_Winch_C:UpdateWinchRopeSFX(InFloat) end
function ABP_Winch_C:StopWinchRopeSFX() end
function ABP_Winch_C:PlayWinchRopeSFX() end
---@param InstigatingPlayer ARGFirstPersonCharacter
function ABP_Winch_C:ReceiveResetWinchByPlayer(InstigatingPlayer) end
---@param DebugWinchRopePoints TArray<ABP_WinchDebugRopePoint_C>
function ABP_Winch_C:AddWinchDebugRopePoints(DebugWinchRopePoints) end
function ABP_Winch_C:TriggerResetRope() end
---@param WinchHook AActor
function ABP_Winch_C:AttachCableToWinchHook(WinchHook) end
function ABP_Winch_C:StopFrontWinchSFX() end
function ABP_Winch_C:StopBackWinchSFX() end
function ABP_Winch_C:PlayBackWinchSFX() end
function ABP_Winch_C:PlayFrontWinchSFX() end
function ABP_Winch_C:SpawnWinchHook() end
---@param WinchIsActive boolean
---@param WinchIsPulling boolean
---@param WinchIsReleasing boolean
function ABP_Winch_C:ToggleWinching(WinchIsActive, WinchIsPulling, WinchIsReleasing) end
---@param WinchIsActive boolean
---@param WinchIsPulling boolean
---@param WinchIsReleasing boolean
function ABP_Winch_C:RPC_ToogleWinching(WinchIsActive, WinchIsPulling, WinchIsReleasing) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Winch_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Winch_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_Winch_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_Winch_C:StartCooking(Heat) end
function ABP_Winch_C:StopCooking() end
function ABP_Winch_C:ReceiveBeginPlay() end
---@param newWinchHook AActor
function ABP_Winch_C:ReceiveOnWinchHookUpdated(newWinchHook) end
---@param WinchIsActive boolean
---@param WinchIsPulling boolean
---@param WinchIsReleasing boolean
function ABP_Winch_C:ReceiveOnActiveStateUpdated(WinchIsActive, WinchIsPulling, WinchIsReleasing) end
function ABP_Winch_C:ReceiveOnWinchRopeLengthUpdatesStarted() end
function ABP_Winch_C:ReceiveOnWinchRopeLengthUpdatesStopped() end
---@param PreviousLength float
---@param CurrentLength float
function ABP_Winch_C:ReceiveOnWinchRopeLengthUpdated(PreviousLength, CurrentLength) end
---@param PreviousWinchStruggle float
---@param CurrentWinchStruggle float
function ABP_Winch_C:ReceiveOnWinchWinchStruggleUpdated(PreviousWinchStruggle, CurrentWinchStruggle) end
---@param EntryPoint int32
function ABP_Winch_C:ExecuteUbergraph_BP_Winch(EntryPoint) end


